com.creamtec.ajaxswing.laf

## Class AjaxSwingLookAndFeel

- java.lang.Object
- - javax.swing.LookAndFeel
  - - javax.swing.plaf.basic.BasicLookAndFeel
    - - javax.swing.plaf.metal.MetalLookAndFeel
      - - com.creamtec.ajaxswing.laf.AjaxSwingLookAndFeel

- All Implemented Interfaces:
    java.io.Serializable

      public class AjaxSwingLookAndFeel
      extends javax.swing.plaf.metal.MetalLookAndFeel

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `LFChangeAllowed`
    `static javax.swing.UIManager.LookAndFeelInfo` | `LOOK_AND_FEEL_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingLookAndFeel()` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `javax.swing.Icon` | `getDisabledIcon(javax.swing.JComponent component, javax.swing.Icon icon)`
    `java.lang.String` | `getName()`
    `AjaxSwingTheme` | `getTheme()` Gets the active theme
    `void` | `initialize()`
    `static void` | `install()`
    `void` | `uninitialize()`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalLookAndFeel

      `getAcceleratorForeground, getAcceleratorSelectedForeground, getBlack, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getControlTextFont, getCurrentTheme, getDefaults, getDesktopColor, getDisabledSelectedIcon, getFocusColor, getHighlightedTextColor, getID, getInactiveControlTextColor, getInactiveSystemTextColor, getLayoutStyle, getMenuBackground, getMenuDisabledForeground, getMenuForeground, getMenuSelectedBackground, getMenuSelectedForeground, getMenuTextFont, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getSubTextFont, getSupportsWindowDecorations, getSystemTextColor, getSystemTextFont, getTextHighlightColor, getUserTextColor, getUserTextFont, getWhite, getWindowBackground, getWindowTitleBackground, getWindowTitleFont, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground, isNativeLookAndFeel, isSupportedLookAndFeel, provideErrorFeedback, setCurrentTheme`

    - ### Methods inherited from class javax.swing.LookAndFeel

      `getDesktopPropertyValue, installBorder, installColors, installColorsAndFont, installProperty, loadKeyBindings, makeComponentInputMap, makeIcon, makeInputMap, makeKeyBindings, toString, uninstallBorder`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LFChangeAllowed

          public static boolean LFChangeAllowed

    - #### LOOK_AND_FEEL_INFO

          public static final javax.swing.UIManager.LookAndFeelInfo LOOK_AND_FEEL_INFO

  - ### Constructor Detail

    - #### AjaxSwingLookAndFeel

          public AjaxSwingLookAndFeel()

      Constructor.

  - ### Method Detail

    - #### getTheme

          public AjaxSwingTheme getTheme()

      Gets the active theme
      Returns:
        the active theme

    - #### initialize

          public void initialize()

      Overrides:
        `initialize` in class `javax.swing.plaf.basic.BasicLookAndFeel`

    - #### uninitialize

          public void uninitialize()

      Overrides:
        `uninitialize` in class `javax.swing.plaf.basic.BasicLookAndFeel`

    - #### getName

          public java.lang.String getName()

      Overrides:
        `getName` in class `javax.swing.plaf.metal.MetalLookAndFeel`

    - #### getDescription

          public java.lang.String getDescription()

      Overrides:
        `getDescription` in class `javax.swing.plaf.metal.MetalLookAndFeel`

    - #### install

          public static void install()

    - #### getDisabledIcon

          public javax.swing.Icon getDisabledIcon(javax.swing.JComponent component,
                                         javax.swing.Icon icon)

      Overrides:
        `getDisabledIcon` in class `javax.swing.plaf.metal.MetalLookAndFeel`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.